---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libDispose.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B720, symBinAddr: 0x8300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D660, symBinAddr: 0xA240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4DA48, symBinAddr: 0xA628, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E9E8, symBinAddr: 0xB5C8, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E9F0, symBinAddr: 0xB5D0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x660F0, symBinAddr: 0x22CD0, symSize: 0x0 }
  - { offsetInCU: 0x8D80, offset: 0x8D80, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x660F8, symBinAddr: 0x22CD8, symSize: 0x0 }
  - { offsetInCU: 0x8D95, offset: 0x8D95, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x660FC, symBinAddr: 0x22CDC, symSize: 0x0 }
  - { offsetInCU: 0x8DAA, offset: 0x8DAA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B270, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x8DB5, offset: 0x8DB5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B274, symBinAddr: 0x8094, symSize: 0x0 }
  - { offsetInCU: 0x8DC0, offset: 0x8DC0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B278, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x8E05, offset: 0x8E05, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B3C8, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x8E7E, offset: 0x8E7E, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B480, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8E9C, offset: 0x8E9C, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B484, symBinAddr: 0x8164, symSize: 0x0 }
  - { offsetInCU: 0x8EB5, offset: 0x8EB5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B488, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8ECE, offset: 0x8ECE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B48C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0x8EE7, offset: 0x8EE7, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B490, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B498, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B4B0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B4B8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B4C0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B4C8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B4D0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4B518, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x4B650, symBinAddr: 0x82F0, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xCB0, symSize: 0xA0 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xC88, symSize: 0x28 }
  - { offsetInCU: 0x9237, offset: 0x9237, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xC08, symSize: 0x80 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xD50, symSize: 0x20C }
  - { offsetInCU: 0x9684, offset: 0x9684, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xF5C, symSize: 0x28 }
  - { offsetInCU: 0x974D, offset: 0x974D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xF84, symSize: 0xB0 }
  - { offsetInCU: 0x9844, offset: 0x9844, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x1034, symSize: 0xD8 }
  - { offsetInCU: 0x9969, offset: 0x9969, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x110C, symSize: 0x24 }
  - { offsetInCU: 0x9A2C, offset: 0x9A2C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x1130, symSize: 0x168 }
  - { offsetInCU: 0x9C08, offset: 0x9C08, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x1298, symSize: 0x104 }
  - { offsetInCU: 0x9D85, offset: 0x9D85, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x139C, symSize: 0x154 }
  - { offsetInCU: 0x9F69, offset: 0x9F69, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x14F0, symSize: 0xAC }
  - { offsetInCU: 0xA03E, offset: 0xA03E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x159C, symSize: 0x14 }
  - { offsetInCU: 0xA077, offset: 0xA077, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x15B0, symSize: 0x14 }
  - { offsetInCU: 0xA0B0, offset: 0xA0B0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x15C4, symSize: 0x14 }
  - { offsetInCU: 0xA22D, offset: 0xA22D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x15D8, symSize: 0x1A8 }
  - { offsetInCU: 0xA541, offset: 0xA541, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x1780, symSize: 0x9C }
  - { offsetInCU: 0xA5FE, offset: 0xA5FE, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x181C, symSize: 0x690 }
  - { offsetInCU: 0xB190, offset: 0xB190, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x8FF8, symBinAddr: 0x28CC, symSize: 0x30 }
  - { offsetInCU: 0xB21C, offset: 0xB21C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1EAC, symSize: 0x74 }
  - { offsetInCU: 0xB2CC, offset: 0xB2CC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1F20, symSize: 0xB0 }
  - { offsetInCU: 0xB3D7, offset: 0xB3D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1FD0, symSize: 0x3C }
  - { offsetInCU: 0xB4CD, offset: 0xB4CD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x200C, symSize: 0x29C }
  - { offsetInCU: 0xB810, offset: 0xB810, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x22A8, symSize: 0xD0 }
  - { offsetInCU: 0xB93E, offset: 0xB93E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x2378, symSize: 0xC }
  - { offsetInCU: 0xBA00, offset: 0xBA00, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x2384, symSize: 0x22C }
  - { offsetInCU: 0xBCBB, offset: 0xBCBB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x25B0, symSize: 0x4 }
  - { offsetInCU: 0xBCFF, offset: 0xBCFF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x25B0, symSize: 0x4 }
  - { offsetInCU: 0xBD18, offset: 0xBD18, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x25B4, symSize: 0x264 }
  - { offsetInCU: 0xC0C3, offset: 0xC0C3, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x8F34, symBinAddr: 0x281C, symSize: 0x34 }
  - { offsetInCU: 0xC0F8, offset: 0xC0F8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F30, symBinAddr: 0x2818, symSize: 0x4 }
  - { offsetInCU: 0xC13C, offset: 0xC13C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F30, symBinAddr: 0x2818, symSize: 0x4 }
  - { offsetInCU: 0xC169, offset: 0xC169, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0x8F68, symBinAddr: 0x2850, symSize: 0x70 }
  - { offsetInCU: 0xC1EE, offset: 0xC1EE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_Dispose_JvmtiTest_GetResult, symObjAddr: 0x8FEC, symBinAddr: 0x28C0, symSize: 0xC }
  - { offsetInCU: 0xC225, offset: 0xC225, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9028, symBinAddr: 0x28FC, symSize: 0x358 }
...
